%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} > 0 && 0%{?centos}  < 9
%global         with_python2 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%define	py_setup	setup.py

%global common_desc pefile is a multi-platform Python module to read and work with Portable\
Executable (aka PE) files. Most of the information in the PE Header is \
accessible, as well as all the sections, section's information and data.\
pefile requires some basic understanding of the layout of a PE file. Armed \
with it it's possible to explore nearly every single feature of the file.\
Some of the tasks that pefile makes possible are:\
* Modifying and writing back to the PE image\
* Header Inspection\
* Sections analysis\
* Retrieving data\
* Warnings for suspicious and malformed values\
* Packer detection with PEiD’s signatures\
* PEiD signature generation\


Name:           pefile
%if 0%{?with_python2}
Version:        2021.9.3
%else
Version:        2022.5.30
%endif
Release:        1%{?dist}
Summary:        Python module for working with Portable Executable files
License:        MIT
URL:            https://github.com/erocarrera/pefile

Source0:        https://github.com/erocarrera/pefile/archive/v%{version}/pefile-%{version}.tar.gz 
Patch1:		%{name}-%{version}-patch-001
BuildArch:      noarch


# For the patch
# BuildRequires: git-core 

%description
%{common_desc}

%if 0%{?with_python2}
%package -n python2-%{name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{name}}
BuildRequires:  python2-devel
%if 0%{?fedora} >= 23
BuildRequires:  python2-setuptools
%else
BuildRequires:  python2-setuptools
%endif
Requires:   python2-future

%description -n python2-%{name}
%{common_desc}
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary:        %{summary}
%if 0%{?centos} != 7
%{?python_provide:%python_provide python3-%{name}}
%endif
Requires:   python%{python3_pkgversion}-future
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{name}
%{common_desc}
%endif

%prep
%autosetup -n %{name}-%{version}
sed -i -e '/^#!\//, 1d' pefile.py

%build
%if 0%{?with_python2}
%py2_build
%endif

%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif

%if 0%{?with_python3}
%py3_install
%endif

#%check
#%{__python2} setup.py test
#%if 0%{?with_python3}
#%{__python3} setup.py test
#%endif

%if 0%{?with_python2}
%files -n python2-%{name}
%license LICENSE
%doc README*
%{python2_sitelib}/*
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README*
%{python3_sitelib}/*
%endif

%changelog
* Mon May 30 2022 Lawrence R. Rogers <lrr@cert.org> 2022.5.30-1
* Release 2022.5.30-1
	Version 2022.5.30.

* Fri Sep  3 2021 Lawrence R. Rogers <lrr@cert.org> 2021.9.3-1
* Release 2021.9.3-1
	Version 2021.9.3.

* Thu Sep  2 2021 Lawrence R. Rogers <lrr@cert.org> 2021.9.2-1
* Release 2021.9.2-1
	Version 2021.9.2.

* Mon May 24 2021 Lawrence R. Rogers <lrr@cert.org> 2021.5.24-1
* Release 2021.5.24-1
	Version 2021.5.24.

* Thu May 13 2021 Lawrence R. Rogers <lrr@cert.org> 2021.5.13-1
* Release 2021.5.13-1
	Version 2021.5.13.

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 2019.4.18-2
* Release 2019.4.18-2
	Version 2019.4.18-2: Uses python3_pkgversion for the current version of Python 3.

* Thu Apr 18 2019 Lawrence R. Rogers <lrr@cert.org> 2019.4.18-1
* Release 2019.4.18-1
        Version 2019.4.18.

* Sun Apr 14 2019 Lawrence R. Rogers <lrr@cert.org> 2019.4.14-1
* Release 2019.4.14-1
        Version 2019.4.14.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 2018.8.8-2
* Release 2018.8.8-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Wed Aug  8 2018 Lawrence R. Rogers <lrr@cert.org> 2018.8.8-1
* Release 22018.8.8-1
	Version 2018.8.8-1

* Tue Jul 25 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 2017.5.26-2
- Fix requirement (rhbz #1474447)

* Sat May 27 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 2017.5.26-1
- Update to 2017.5.26
- Remove upstreamed patch

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2016.3.28-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2016.3.28-2
- Rebuild for Python 3.6

* Tue Nov 01 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 2016.3.28-1
- Update to 2016.3.28
- Revamp the specfile
- Add patch to fix the build

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_139-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.10_139-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_139-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_139-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 07 2014 Christopher Meng <rpm@cicku.me> - 1.2.10_139-1
- Update to 1.2.10_139

* Thu Aug 08 2013 Christopher Meng <rpm@cicku.me> - 1.2.10_123-1
- Update to 1.2.10_123

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.10_63-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  8 2009 David Malcolm <dmalcolm@redhat.com> - 1.2.10_63-1
- initial packaging

